/*                                                                                                                                                       
   ;;;;;;;;;;;;;                               ;;;;;;;;;;;;           
	;;;;;;;;;;;;;;;.                     ,;;;;;;;;;;;;;;;            
	 ;;;;;;;;;;;;;;;;;                 ;;;;;;;;;;;;;;;;;             
	   ;;;;;;;;;;;;;;;;;            .;;;;;;;;;;;;;;;;;               
				 :;;;;;;;;         ;;;;;;;;:                         
					  ;;;;;      ,;;;;:                              
						 ;;;.   ;;;;                                 
						   ;;  ,;;                                   
							;; ;;                                    
							 ;;;                                     
							 ;;; 

	^^ Title : Cookie consent banner - eu law
	^^ Create : 2020-10-19
	^^ For PS version 1.4, 1.5, 1.6
	^^ Copyright : EAGLEMEDIA.de  
*/

$(document).ready(
    function(){        
        // first time disable tracking 
        if (typeof $.cookie(trackercode_ga) === 'undefined' || $.cookie(trackercode_ga) == null)    
            $.cookie(trackercode_ga, 'true');
        else {
            if ($.cookie(trackercode_ga) != 'true')
                $.cookie(trackercode_ga, '');
            
            $('.cookiebanner_later .triangle').css({borderBottomColor:banner_bgcolor});
        } 
        
       
        
        if ($('#cookiebanner').length > 0) {        
            var htmlBanner = $('#cookiebanner').html();
            var htmlBannerLater = $('#cookiebanner_later').html();
                htmlBannerLater = (button_triangle_pos=='bottom') ? htmlBannerLater.replace('cookiebanner_later', 'cookiebanner_later bottom') : htmlBannerLater;
            
            $('#cookiebanner').empty();
            $('#cookiebanner_later').empty();
            
            
            
            if ($('#header .nav').length > 0) { 
                $('#header .nav').after(htmlBanner +htmlBannerLater);
            }
            else {
                $('#header').before(htmlBanner +htmlBannerLater);
            }         
            
            $('.cookiebanner').css({background:banner_bgcolor, color:banner_color});
            $('.cookiebanner_descr p').text(banner_text).append(' '+banner_pplink);               
            $('.cookiebanner_later').css({borderColor:'transparent '+banner_bgcolor+' transparent transparent', color:banner_color});
            
            // when cookie banner closed
            if ($.cookie('cookie_accept_consent') == 'true') {

                $('.cookiebanner .container').css({display:'none'});
                $('.cookiebanner_later').css({display:'block'});
            } 
        }

       
        if ($.cookie(trackercode_ga) != 'true') {      
            $('#cookie_ga').removeAttr('checked');
            setTimeout(function(){
                $('#uniform-cookie_ga span.checked').css({'background-position':'-15px -257px', 'opacity':'.93'});                
            },500);
        }	
        else {
            $('#cookie_ga').attr('checked');   
            setTimeout(function(){
                $('#uniform-cookie_ga span').removeClass('checked').css({'background-position':'0 -257px', 'opacity':'.6'});                
            },500);
        }
    }
);	

var banner_isup = true;
$(window).scroll(
    function(){  
       
        if ($.cookie('cookie_accept_consent') != 'true')
        {
            var e_height = $('.cookiebanner').height();
            var s_height = $(window).scrollTop();
            var w_height = $(window).height();            

            if (e_height < s_height) {

                $('#header').css({marginTop:e_height+'px'});     
                $('.cookiebanner').css({position:'fixed', top:0, left:0, opacity:0, background:banner_bgcolor, color:banner_color});            

                if (parseInt(e_height) < (parseInt(s_height) -(parseInt(w_height)/6))) {

                    if (banner_page_overlay =='hidden') {                
                        $('.cookiebanner').addClass('jsactive noov');
                    }
                    else {
                        $('.cookiebanner').addClass('jsactive');
                        $('#cookiebanner').addClass('jsactive').removeAttr('style');   
                    }


                    $('.cookiebanner').css({top:0+'%'});
                    if(banner_isup ===true) { 
                        setTimeout(function(){
                            banner_isup = false;
                            $('.cookiebanner_image').slideDown(75);
                        },500);
                    }
                }
                else {
                    $('.cookiebanner').removeClass('jsactive');
                    $('#cookiebanner').removeClass('jsactive').css({display:'none'});    
                    if(banner_isup ===false) {                    
                        setTimeout(function(){
                            banner_isup = true;
                            $('.cookiebanner_image').slideUp(150);
                        },550);
                    }
                }    

            }
            else {

                $('.cookiebanner').removeAttr('style').css({background:banner_bgcolor, color:banner_color}); 
                $('#header').removeAttr('style');
            }
        }
        
        
        var h_height  = $('html').height();
        var s_height_ = $(window).scrollTop();
        var w_height_ = $(window).height();

        if ((parseInt(h_height) -400) < (parseInt(s_height_) +parseInt(w_height_))) {         
            $('.cookiebanner_later.bottom .triangle').stop().animate({opacity:1},250);
            $('.cookiebanner_later.bottom img').stop().animate({opacity:0.6},250);
        }
        else {
            $('.cookiebanner_later.bottom .triangle').stop().animate({opacity:0},250);
            $('.cookiebanner_later.bottom img').stop().animate({opacity:0},250);
        }        
    }
);


	
	/**
	 * Consent tracker list
	 *
     * Google Analytics */     
	function gaOptout() 
	{
        if ($.cookie(trackercode_ga) != 'true') {
            $('#uniform-cookie_ga span.checked').css({'background-position':'0 -257px', 'opacity':'.6'});
            $.cookie(trackercode_ga,'true');
        }
        else {
            $('#uniform-cookie_ga span').css({'background-position':'-15px -257px', 'opacity':'.93'});
            $.cookie(trackercode_ga,'');
        }
	}


	
	/**
	 * Accept all tracker cookies
	 */
	function acceptAllTracker()
	{       
        // Tracker List
        $.cookie(trackercode_ga,'');
        //...
	}

	/**
	 * Accept tracker cookies via consent
	 */
	function trackingAcceptConsent( global_consent = false )
	{        
        $('.cookiebanner .container').slideUp(270);
        $('#cookiebanner').removeClass('jsactive').css({display:'none'});
        $('#header').removeAttr('style');
		 
        $.cookie('cookie_accept_consent', 'true');
        $('.cookiebanner_later').delay(270).slideDown(270);
        $('.cookiebanner_later .triangle').css({borderBottomColor:banner_bgcolor});
        
        if (global_consent)
            acceptAllTracker();
	}


    function showConsentArea()
    {
        $('.js_showConsentArea').delay(250).fadeToggle(250);
        $('.js_trackingAcceptGlobal, .js_showConsentButton').fadeToggle(250);
    }


    function trackingSetting()
    {
        $('.cookiebanner').removeAttr('style').css({background:banner_bgcolor, color:banner_color});
        
        if (button_triangle_pos =='bottom')
            $('.cookiebanner').css({position:'fixed', top:0, left:0});
        
        $('.cookiebanner_image').removeAttr('style').css({display:'none'});
        $('.cookiebanner .container').slideToggle(270);
    }
