{*                                                                                                                                                       
   ;;;;;;;;;;;;;                               ;;;;;;;;;;;;           
	;;;;;;;;;;;;;;;.                     ,;;;;;;;;;;;;;;;            
	 ;;;;;;;;;;;;;;;;;                 ;;;;;;;;;;;;;;;;;             
	   ;;;;;;;;;;;;;;;;;            .;;;;;;;;;;;;;;;;;               
				 :;;;;;;;;         ;;;;;;;;:                         
					  ;;;;;      ,;;;;:                              
						 ;;;.   ;;;;                                 
						   ;;  ,;;                                   
							;; ;;                                    
							 ;;;                                     
							 ;;; 

	^^ Title : Cookie consent banner - eu law
	^^ Create : 2020-10-19
	^^ For PS version 1.4, 1.5, 1.6
	^^ Copyright : EAGLEMEDIA.de  
*}
<!-- Cookie banner module -->
<div id="cookiebanner" {if !isset($banner_top)}style="display:none"{/if}>
	<div class="cookiebanner">
		<div class="container relative">
			{if isset($banner_image) AND $banner_image AND ($banner_isee !='hidden')} 
			<div class="cookiebanner_image" style="display:none">
			    <a rel="nofollow" href="{$banner_link}">
				    <img src="{$banner_image}" alt="{l s='Banner' mod='cookiebanner'}" height="100%" />
			    </a>
			</div>
			{/if} 
			<div class="cookiebanner_descr">
                <p><span></span></p>
			</div>
			{if isset($trackercode_ga) AND $trackercode_ga}
            {if isset($button_color) AND $button_color}
                {assign var="button_color_" value=$button_color}
            {else}
                {assign var="button_color_" value='transparent'}
            {/if}
			<div class="cookiebanner_buttons" style="border-color:{$button_color_border}">		
				<ul>
                    
                    <li class="js_showConsentArea" style="display: none">
                        <ul>
                            <li for="cookie_r" title=" {l s='Technically necessary cookies' mod='cookiebanner'} " style="background-color:{$button_color_}; border-color:{$button_color_border}">
                                <input type="checkbox" name="cookie_r" id="cookie_r" checked="checked" disabled style="color:{$button_color_text}" style="background-color:{$button_color_}; border-color:{$button_color_border}">
                                <label class="cookie_description" style="color:{$button_color_text}">{l s='Require' mod='cookiebanner'}</label>
                            </li>  
                            <li for="cookie_ga" title=" {l s='Cookies for statistical tracking and advertising' mod='cookiebanner'} " style="background-color:{$button_color_}; border-color:{$button_color_border}">
                                <input type="checkbox" name="cookie_ga" id="cookie_ga" checked="checked" onClick="gaOptout()" style="color:{$button_color_text}" />
                                <label for="cookie_ga" class="cookie_description" style="color:{$button_color_text}">{l s='Tracking' mod='cookiebanner'}</label>
                            </li>
                            <li onClick="trackingAcceptConsent()" style="background-color:{$button_color_}; border-color:{$button_color_border}; color:{$button_color_text}">
                                <font>{l s='Accept my choose!' mod='cookiebanner'}</font>
                            </li>                  
                        </ul>
                    </li>
                    <li>
                        <ul class="ini">
                            <li onClick="showConsentArea()" style="background-color:{$button_color_}; border-color:{$button_color_border}; color:{$button_color_text}" class="js_showConsentButton">
                                <font>{l s='More' mod='cookiebanner'}</font>
                            </li>                    
                            <li onClick="trackingAcceptConsent(true)" style="background-color:{$button_color_}; border-color:{$button_color_border}; color:{$button_color_text}" class="js_trackingAcceptGlobal">
                                <font>{l s='Accept all!' mod='cookiebanner'}</font>
                            </li>
                        </ul>
                    </li>
                    
				</ul>			
			</div>               
			{/if} 
		</div>
	</div> 
</div>
<div id="cookiebanner_later">
    <div class="cookiebanner_later" style="display:none">
        <div class="container">
            <div onClick="trackingSetting()" class="triangle" title="{l s='Tracking setting' mod='cookiebanner'}">{l s='Tracking setting' mod='cookiebanner'}</div>
            <img onClick="trackingSetting()" src="{$banner_path}img/fingerprint.png" title="{l s='Tracking setting' mod='cookiebanner'}" alt="fingerprint" />
        </div>
    </div>
</div>
{if $ps_version =='deprecated'}
	<script type="text/javascript">

    var banner_text = '{$banner_text}';
    var banner_pplink = '<a href="{$banner_pplink}" style="color:{$banner_color_text}">{l s='Private police' mod='cookiebanner'}</a>';
    var banner_page_overlay = '{$banner_page_overlay}';
    var banner_bgcolor = '{$banner_color}'; 
    var banner_color = '{$banner_color_text}';
    var button_triangle_pos = '{$button_triangle_pos}';
    var trackercode_ga = 'ga-disable-{$trackercode_ga}';  
        
	</script>
{else}    
    {strip}
    {addJsDefL name='banner_text'}{$banner_text}{/addJsDefL}
    {addJsDefL name='banner_pplink'}<a href="{$banner_pplink}" style="color:{$banner_color_text}">{l s='Private police' mod='cookiebanner'}</a>{/addJsDefL} 
    {addJsDefL name='banner_page_overlay'}{$banner_page_overlay}{/addJsDefL}
    {addJsDefL name='banner_bgcolor'}{$banner_color}{/addJsDefL}
    {addJsDefL name='banner_color'}{$banner_color_text}{/addJsDefL}
    {addJsDefL name='button_triangle_pos'}{$button_triangle_pos}{/addJsDefL}
    {addJsDefL name='trackercode_ga'}ga-disable-{$trackercode_ga}{/addJsDefL}
    {/strip}
{/if}
<!-- /Cookie banner module -->